Module java.corba
Package javax.activity

## Class InvalidActivityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - javax.activity.InvalidActivityException

All Implemented Interfaces:
  Serializable

    public class InvalidActivityException
    extends RemoteException

This exception may be thrown on any method for which Activity context is accessed and indicates that the attempted invocation or the Activity context associated with the attempted invocation is incompatible with the Activity's current state. It may also be thrown by a container if Activity context is received on a method for which Activity context is forbidden. This exception will be propagated across J2EE Activity Service ORB boundaries via an org.omg.CORBA.INVALID_ACTIVITY system exception. An application should handle this error by attempting to complete the Activity.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
Constructor and Description
`InvalidActivityException()` Constructs a new instance with null as its detail message.
`InvalidActivityException(String message)` Constructs a new instance with the specified detail message.
`InvalidActivityException(String message, Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`InvalidActivityException(Throwable cause)` Constructs a new throwable with the specified cause.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.rmi.RemoteException

`getCause, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### InvalidActivityException

    public InvalidActivityException()

Constructs a new instance with null as its detail message.

#### InvalidActivityException

    public InvalidActivityException(String message)

Constructs a new instance with the specified detail message.

Parameters:
  `message` - the detail message.

#### InvalidActivityException

    public InvalidActivityException(String message,
                                    Throwable cause)

Constructs a new throwable with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - a chained exception of type `Throwable`.

#### InvalidActivityException

    public InvalidActivityException(Throwable cause)

Constructs a new throwable with the specified cause.

Parameters:
  `cause` - a chained exception of type `Throwable`.